# H225_InfoRequestResponse_perCallInfo_subtype Class Reference

`#include <h225.h>`

Inheritance diagram for H225_InfoRequestResponse_perCallInfo_subtype:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_originator, e_audio, e_video, e_data, e_callIdentifier, e_tokens, e_cryptoTokens, e_substituteConfIDs, e_pdu, e_callLinkage, e_usageInformation, e_circuitInfo }

## Public Member Functions

| H225_InfoRequestResponse_perCallInfo_subtype (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_NonStandardParameter | m_nonStandardData
H225_CallReferenceValue | m_callReferenceValue
H225_ConferenceIdentifier | m_conferenceID
PASN_Boolean | m_originator
H225_ArrayOf_RTPSession | m_audio
H225_ArrayOf_RTPSession | m_video
H225_ArrayOf_TransportChannelInfo | m_data
H225_TransportChannelInfo | m_h245
H225_TransportChannelInfo | m_callSignaling
H225_CallType | m_callType
H225_BandWidth | m_bandWidth
H225_CallModel | m_callModel
H225_CallIdentifier | m_callIdentifier
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ArrayOf_ConferenceIdentifier | m_substituteConfIDs
H225_InfoRequestResponse_perCallInfo_subtype_pdu | m_pdu
H225_CallLinkage | m_callLinkage
H225_RasUsageInformation | m_usageInformation
H225_CircuitInfo | m_circuitInfo

## Member Enumeration Documentation

enum H225_InfoRequestResponse_perCallInfo_subtype::OptionalFields

Enumerator:

  e_nonStandardData |
  e_originator |
  e_audio |
  e_video |
  e_data |
  e_callIdentifier |
  e_tokens |
  e_cryptoTokens |
  e_substituteConfIDs |
  e_pdu |
  e_callLinkage |
  e_usageInformation |
  e_circuitInfo |

## Constructor & Destructor Documentation

H225_InfoRequestResponse_perCallInfo_subtype::H225_InfoRequestResponse_perCallInfo_subtype | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_InfoRequestResponse_perCallInfo_subtype::GetDataLength | ( |  | ) | const

PBoolean H225_InfoRequestResponse_perCallInfo_subtype::Decode | ( | PASN_Stream & | strm | ) |

void H225_InfoRequestResponse_perCallInfo_subtype::Encode | ( | PASN_Stream & | strm | ) | const

void H225_InfoRequestResponse_perCallInfo_subtype::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_InfoRequestResponse_perCallInfo_subtype::Compare | ( | const PObject & | obj | ) | const

PObject* H225_InfoRequestResponse_perCallInfo_subtype::Clone | ( |  | ) | const

## Member Data Documentation

H225_NonStandardParameter H225_InfoRequestResponse_perCallInfo_subtype::m_nonStandardData

H225_CallReferenceValue H225_InfoRequestResponse_perCallInfo_subtype::m_callReferenceValue

H225_ConferenceIdentifier H225_InfoRequestResponse_perCallInfo_subtype::m_conferenceID

PASN_Boolean H225_InfoRequestResponse_perCallInfo_subtype::m_originator

H225_ArrayOf_RTPSession H225_InfoRequestResponse_perCallInfo_subtype::m_audio

H225_ArrayOf_RTPSession H225_InfoRequestResponse_perCallInfo_subtype::m_video

H225_ArrayOf_TransportChannelInfo H225_InfoRequestResponse_perCallInfo_subtype::m_data

H225_TransportChannelInfo H225_InfoRequestResponse_perCallInfo_subtype::m_h245

H225_TransportChannelInfo H225_InfoRequestResponse_perCallInfo_subtype::m_callSignaling

H225_CallType H225_InfoRequestResponse_perCallInfo_subtype::m_callType

H225_BandWidth H225_InfoRequestResponse_perCallInfo_subtype::m_bandWidth

H225_CallModel H225_InfoRequestResponse_perCallInfo_subtype::m_callModel

H225_CallIdentifier H225_InfoRequestResponse_perCallInfo_subtype::m_callIdentifier

H225_ArrayOf_ClearToken H225_InfoRequestResponse_perCallInfo_subtype::m_tokens

H225_ArrayOf_CryptoH323Token H225_InfoRequestResponse_perCallInfo_subtype::m_cryptoTokens

H225_ArrayOf_ConferenceIdentifier H225_InfoRequestResponse_perCallInfo_subtype::m_substituteConfIDs

H225_InfoRequestResponse_perCallInfo_subtype_pdu H225_InfoRequestResponse_perCallInfo_subtype::m_pdu

H225_CallLinkage H225_InfoRequestResponse_perCallInfo_subtype::m_callLinkage

H225_RasUsageInformation H225_InfoRequestResponse_perCallInfo_subtype::m_usageInformation

H225_CircuitInfo H225_InfoRequestResponse_perCallInfo_subtype::m_circuitInfo

The documentation for this class was generated from the following file:

- h225.h